##\
# This file is a part of the CIDRAM package.
# Homepage: https://cidram.github.io/
#
# CIDRAM COPYRIGHT 2016 and beyond by Caleb Mazalevskis (Maikuolan).
#
# License: GNU/GPLv2
# @see LICENSE.txt
#
# This file: Configuration defaults file (last modified: 2020.10.08).
##/

Config Defaults:
 general:
  logfile:
   type: "string"
   default: ""
  logfile_apache:
   type: "string"
   default: ""
  logfile_serialized:
   type: "string"
   default: ""
  error_log:
   type: "string"
   default: ""
  error_log_stages:
   type: "checkbox"
   default: "Tests,Modules,SearchEngineVerification,SocialMediaVerification,Aux,Reporting,Tracking,RL,reCAPTCHA,Statistics,Webhooks,Output"
   choices:
    Tests: "Tests"
    Modules: "Modules"
    SearchEngineVerification: "SearchEngineVerification"
    SocialMediaVerification: "SocialMediaVerification"
    Aux: "Aux"
    Reporting: "Reporting"
    Tracking: "Tracking"
    RL: "RL"
    reCAPTCHA: "reCAPTCHA"
    Statistics: "Statistics"
    Webhooks: "Webhooks"
    Output: "Output"
   value_preg_filter:
    "~\s~": ""
  truncate:
   type: "kb"
   default: "0KB"
   preview: "kb"
  log_rotation_limit:
   type: "int"
   default: 0
  log_rotation_action:
   type: "string"
   default: "Delete"
   choices:
    Delete: "Delete"
    Archive: "Archive"
  timezone:
   type: "timezone"
   default: "SYSTEM"
  time_offset:
   type: "int"
   default: 0
   preview: "minutes"
  time_format:
   type: "string"
   default: "{Day}, {dd} {Mon} {yyyy} {hh}:{ii}:{ss} {tz}"
   preview: "allow_other"
   allow_other: true
   choices:
    "{Day}, {dd} {Mon} {yyyy} {hh}:{ii}:{ss} {tz}": "{Day}, {dd} {Mon} {yyyy} {hh}:{ii}:{ss} {tz}"
    "{Day}, {dd} {Mon} {yyyy} {hh}:{ii}:{ss}": "{Day}, {dd} {Mon} {yyyy} {hh}:{ii}:{ss}"
    "{Day}, {dd} {Mon} {yyyy}": "{Day}, {dd} {Mon} {yyyy}"
    "{yyyy}.{mm}.{dd} {hh}:{ii}:{ss} {tz}": "{yyyy}.{mm}.{dd} {hh}:{ii}:{ss} {tz}"
    "{yyyy}.{mm}.{dd} {hh}:{ii}:{ss}": "{yyyy}.{mm}.{dd} {hh}:{ii}:{ss}"
    "{yyyy}.{mm}.{dd}": "{yyyy}.{mm}.{dd}"
    "{yyyy}-{mm}-{dd} {hh}:{ii}:{ss} {tz}": "{yyyy}-{mm}-{dd} {hh}:{ii}:{ss} {tz}"
    "{yyyy}-{mm}-{dd} {hh}:{ii}:{ss}": "{yyyy}-{mm}-{dd} {hh}:{ii}:{ss}"
    "{yyyy}-{mm}-{dd}": "{yyyy}-{mm}-{dd}"
    "{yyyy}/{mm}/{dd} {hh}:{ii}:{ss} {tz}": "{yyyy}/{mm}/{dd} {hh}:{ii}:{ss} {tz}"
    "{yyyy}/{mm}/{dd} {hh}:{ii}:{ss}": "{yyyy}/{mm}/{dd} {hh}:{ii}:{ss}"
    "{yyyy}/{mm}/{dd}": "{yyyy}/{mm}/{dd}"
    "{dd}.{mm}.{yyyy} {hh}:{ii}:{ss} {tz}": "{dd}.{mm}.{yyyy} {hh}:{ii}:{ss} {tz}"
    "{dd}.{mm}.{yyyy} {hh}:{ii}:{ss}": "{dd}.{mm}.{yyyy} {hh}:{ii}:{ss}"
    "{dd}.{mm}.{yyyy}": "{dd}.{mm}.{yyyy}"
    "{dd}-{mm}-{yyyy} {hh}:{ii}:{ss} {tz}": "{dd}-{mm}-{yyyy} {hh}:{ii}:{ss} {tz}"
    "{dd}-{mm}-{yyyy} {hh}:{ii}:{ss}": "{dd}-{mm}-{yyyy} {hh}:{ii}:{ss}"
    "{dd}-{mm}-{yyyy}": "{dd}-{mm}-{yyyy}"
    "{dd}/{mm}/{yyyy} {hh}:{ii}:{ss} {tz}": "{dd}/{mm}/{yyyy} {hh}:{ii}:{ss} {tz}"
    "{dd}/{mm}/{yyyy} {hh}:{ii}:{ss}": "{dd}/{mm}/{yyyy} {hh}:{ii}:{ss}"
    "{dd}/{mm}/{yyyy}": "{dd}/{mm}/{yyyy}"
    "{mm}.{dd}.{yyyy} {hh}:{ii}:{ss} {tz}": "{mm}.{dd}.{yyyy} {hh}:{ii}:{ss} {tz}"
    "{mm}.{dd}.{yyyy} {hh}:{ii}:{ss}": "{mm}.{dd}.{yyyy} {hh}:{ii}:{ss}"
    "{mm}.{dd}.{yyyy}": "{mm}.{dd}.{yyyy}"
    "{mm}-{dd}-{yyyy} {hh}:{ii}:{ss} {tz}": "{mm}-{dd}-{yyyy} {hh}:{ii}:{ss} {tz}"
    "{mm}-{dd}-{yyyy} {hh}:{ii}:{ss}": "{mm}-{dd}-{yyyy} {hh}:{ii}:{ss}"
    "{mm}-{dd}-{yyyy}": "{mm}-{dd}-{yyyy}"
    "{mm}/{dd}/{yyyy} {hh}:{ii}:{ss} {tz}": "{mm}/{dd}/{yyyy} {hh}:{ii}:{ss} {tz}"
    "{mm}/{dd}/{yyyy} {hh}:{ii}:{ss}": "{mm}/{dd}/{yyyy} {hh}:{ii}:{ss}"
    "{mm}/{dd}/{yyyy}": "{mm}/{dd}/{yyyy}"
    "{yy}.{mm}.{dd} {hh}:{ii}:{ss} {tz}": "{yy}.{mm}.{dd} {hh}:{ii}:{ss} {tz}"
    "{yy}.{mm}.{dd} {hh}:{ii}:{ss}": "{yy}.{mm}.{dd} {hh}:{ii}:{ss}"
    "{yy}.{mm}.{dd}": "{yy}.{mm}.{dd}"
    "{yy}-{mm}-{dd} {hh}:{ii}:{ss} {tz}": "{yy}-{mm}-{dd} {hh}:{ii}:{ss} {tz}"
    "{yy}-{mm}-{dd} {hh}:{ii}:{ss}": "{yy}-{mm}-{dd} {hh}:{ii}:{ss}"
    "{yy}-{mm}-{dd}": "{yy}-{mm}-{dd}"
    "{yy}/{mm}/{dd} {hh}:{ii}:{ss} {tz}": "{yy}/{mm}/{dd} {hh}:{ii}:{ss} {tz}"
    "{yy}/{mm}/{dd} {hh}:{ii}:{ss}": "{yy}/{mm}/{dd} {hh}:{ii}:{ss}"
    "{yy}/{mm}/{dd}": "{yy}/{mm}/{dd}"
    "{dd}.{mm}.{yy} {hh}:{ii}:{ss} {tz}": "{dd}.{mm}.{yy} {hh}:{ii}:{ss} {tz}"
    "{dd}.{mm}.{yy} {hh}:{ii}:{ss}": "{dd}.{mm}.{yy} {hh}:{ii}:{ss}"
    "{dd}.{mm}.{yy}": "{dd}.{mm}.{yy}"
    "{dd}-{mm}-{yy} {hh}:{ii}:{ss} {tz}": "{dd}-{mm}-{yy} {hh}:{ii}:{ss} {tz}"
    "{dd}-{mm}-{yy} {hh}:{ii}:{ss}": "{dd}-{mm}-{yy} {hh}:{ii}:{ss}"
    "{dd}-{mm}-{yy}": "{dd}-{mm}-{yy}"
    "{dd}/{mm}/{yy} {hh}:{ii}:{ss} {tz}": "{dd}/{mm}/{yy} {hh}:{ii}:{ss} {tz}"
    "{dd}/{mm}/{yy} {hh}:{ii}:{ss}": "{dd}/{mm}/{yy} {hh}:{ii}:{ss}"
    "{dd}/{mm}/{yy}": "{dd}/{mm}/{yy}"
    "{mm}.{dd}.{yy} {hh}:{ii}:{ss} {tz}": "{mm}.{dd}.{yy} {hh}:{ii}:{ss} {tz}"
    "{mm}.{dd}.{yy} {hh}:{ii}:{ss}": "{mm}.{dd}.{yy} {hh}:{ii}:{ss}"
    "{mm}.{dd}.{yy}": "{mm}.{dd}.{yy}"
    "{mm}-{dd}-{yy} {hh}:{ii}:{ss} {tz}": "{mm}-{dd}-{yy} {hh}:{ii}:{ss} {tz}"
    "{mm}-{dd}-{yy} {hh}:{ii}:{ss}": "{mm}-{dd}-{yy} {hh}:{ii}:{ss}"
    "{mm}-{dd}-{yy}": "{mm}-{dd}-{yy}"
    "{mm}/{dd}/{yy} {hh}:{ii}:{ss} {tz}": "{mm}/{dd}/{yy} {hh}:{ii}:{ss} {tz}"
    "{mm}/{dd}/{yy} {hh}:{ii}:{ss}": "{mm}/{dd}/{yy} {hh}:{ii}:{ss}"
    "{mm}/{dd}/{yy}": "{mm}/{dd}/{yy}"
    "{yyyy}年{m}月{d}日 {hh}時{ii}分{ss}秒": "{yyyy}年{m}月{d}日 {hh}時{ii}分{ss}秒"
    "{yyyy}年{m}月{d}日 {hh}:{ii}:{ss} {tz}": "{yyyy}年{m}月{d}日 {hh}:{ii}:{ss} {tz}"
    "{yyyy}年{m}月{d}日": "{yyyy}年{m}月{d}日"
    "{yy}年{m}月{d}日 {hh}時{ii}分{ss}秒": "{yy}年{m}月{d}日 {hh}時{ii}分{ss}秒"
    "{yy}年{m}月{d}日 {hh}:{ii}:{ss} {tz}": "{yy}年{m}月{d}日 {hh}:{ii}:{ss} {tz}"
    "{yy}年{m}月{d}日": "{yy}年{m}月{d}日"
    "{yyyy}년 {m}월 {d}일 {hh}시 {ii}분 {ss}초": "{yyyy}년 {m}월 {d}일 {hh}시 {ii}분 {ss}초"
    "{yyyy}년 {m}월 {d}일 {hh}:{ii}:{ss} {tz}": "{yyyy}년 {m}월 {d}일 {hh}:{ii}:{ss} {tz}"
    "{yyyy}년 {m}월 {d}일": "{yyyy}년 {m}월 {d}일"
    "{yy}년 {m}월 {d}일 {hh}시 {ii}분 {ss}초": "{yy}년 {m}월 {d}일 {hh}시 {ii}분 {ss}초"
    "{yy}년 {m}월 {d}일 {hh}:{ii}:{ss} {tz}": "{yy}년 {m}월 {d}일 {hh}:{ii}:{ss} {tz}"
    "{yy}년 {m}월 {d}일": "{yy}년 {m}월 {d}일"
    "{yyyy}-{mm}-{dd}T{hh}:{ii}:{ss}{t:z}": "{yyyy}-{mm}-{dd}T{hh}:{ii}:{ss}{t:z}"
    "{d}. {m}. {yyyy}": "{d}. {m}. {yyyy}"
  ipaddr:
   type: "string"
   default: "REMOTE_ADDR"
   preview: "allow_other"
   allow_other: true
   choices:
    HTTP_INCAP_CLIENT_IP: "HTTP_INCAP_CLIENT_IP (Incapsula)"
    HTTP_CF_CONNECTING_IP: "HTTP_CF_CONNECTING_IP (Cloudflare)"
    CF-Connecting-IP: "CF-Connecting-IP (Cloudflare)"
    HTTP_X_FORWARDED_FOR: "HTTP_X_FORWARDED_FOR (Cloudbric)"
    X-Forwarded-For: "X-Forwarded-For (Squid)"
    REMOTE_ADDR: "REMOTE_ADDR (Default)"
   See also:
    NGINX Reverse Proxy: "https://docs.nginx.com/nginx/admin-guide/web-server/reverse-proxy/"
    Squid configuration directive forwarded_for: "http://www.squid-cache.org/Doc/config/forwarded_for/"
  forbid_on_block:
   type: "int"
   default: 200
   choices:
    200: "200 OK"
    403: "403 Forbidden"
    410: "410 Gone"
    418: "418 I'm a teapot"
    451: "451 Unavailable For Legal Reasons"
    503: "503 Service Unavailable"
  silent_mode:
   type: "url"
   default: ""
   autocomplete: "url"
  lang:
   type: "string"
   default: "en"
   choices:
    en: "English"
    ar: "العربية"
    bn: "বাংলা"
    de: "Deutsch"
    es: "Español"
    fr: "Français"
    hi: "हिंदी"
    id: "Bahasa Indonesia"
    it: "Italiano"
    ja: "日本語"
    ko: "한국어"
    lv: "Latviešu"
    nl: "Nederlandse"
    no: "Norsk"
    pl: "Polski"
    pt: "Português"
    ru: "Русский"
    sv: "Svenska"
    ta: "தமிழ்"
    th: "ภาษาไทย"
    tr: "Türkçe"
    ur: "اردو"
    vi: "Tiếng Việt"
    zh: "中文（简体）"
    zh-tw: "中文（傳統）"
   choice_filter: "FilterLang"
  lang_override:
   type: "bool"
   default: true
  numbers:
   type: "string"
   default: "Latin-1"
   choices:
    NoSep-1: "1234567.89"
    NoSep-2: "1234567,89"
    Latin-1: "1,234,567.89"
    Latin-2: "1 234 567.89"
    Latin-3: "1.234.567,89"
    Latin-4: "1 234 567,89"
    Latin-5: "1,234,567·89"
    China-1: "123,4567.89"
    India-1: "12,34,567.89"
    India-2: "१२,३४,५६७.८९ (देवनागरी)"
    India-3: "૧૨,૩૪,૫૬૭.૮૯ (ગુજરાતી)"
    India-4: "੧੨,੩੪,੫੬੭.੮੯ (ਗੁਰਮੁਖੀ)"
    India-5: "೧೨,೩೪,೫೬೭.೮೯ (ಕನ್ನಡ)"
    India-6: "౧౨,౩౪,౫౬౭.౮౯ (తెలుగు)"
    Arabic-1: "١٢٣٤٥٦٧٫٨٩"
    Arabic-2: "١٬٢٣٤٬٥٦٧٫٨٩"
    Arabic-3: "۱٬۲۳۴٬۵۶۷٫۸۹"
    Arabic-4: "۱۲٬۳۴٬۵۶۷٫۸۹"
    Bengali-1: "১২,৩৪,৫৬৭.৮৯ (বাংলা সংখ্যাসমূহ)"
    Burmese-1: "၁၂၃၄၅၆၇.၈၉"
    Khmer-1: "១.២៣៤.៥៦៧,៨៩"
    Lao-1: "໑໒໓໔໕໖໗.໘໙"
    Thai-1: "๑,๒๓๔,๕๖๗.๘๙"
    Thai-2: "๑๒๓๔๕๖๗.๘๙"
    Javanese: "꧑꧒꧓꧔꧕꧖꧗.꧘꧙"
    Odia: "୧୨୩୪୫୬୭.୮୯"
    Tibetan: "༡༢༣༤༥༦༧.༨༩"
  emailaddr:
   type: "string"
   default: ""
  emailaddr_display_style:
   type: "string"
   default: "default"
   choices:
    default: "{field_clickable_link}"
    noclick: "{field_nonclickable_text}"
  disable_frontend:
   type: "bool"
   default: true
  max_login_attempts:
   type: "int"
   default: 5
  frontend_log:
   type: "string"
   default: ""
  ban_override:
   type: "int"
   default: 200
   choices:
    200: 200
    403: 403
    410: 410
    418: 418
    451: 451
    503: 503
  log_banned_ips:
   type: "bool"
   default: true
  default_dns:
   type: "string"
   default: "8.8.8.8,8.8.4.4"
   value_preg_filter:
    "~\s~": ""
  search_engine_verification:
   type: "bool"
   default: true
  social_media_verification:
   type: "bool"
   default: true
  protect_frontend:
   type: "bool"
   default: true
  disable_webfonts:
   type: "bool"
   default: true
  maintenance_mode:
   type: "bool"
   default: false
  default_algo:
   type: "string"
   default: "PASSWORD_DEFAULT"
   choices:
    PASSWORD_DEFAULT: "PASSWORD_DEFAULT"
    PASSWORD_BCRYPT: "PASSWORD_BCRYPT"
    PASSWORD_ARGON2I: "PASSWORD_ARGON2I (PHP >= 7.2.0)"
    PASSWORD_ARGON2ID: "PASSWORD_ARGON2ID (PHP >= 7.3.0)"
   choice_filter: "FilterByDefined"
  statistics:
   type: "bool"
   default: false
  force_hostname_lookup:
   type: "bool"
   default: false
  allow_gethostbyaddr_lookup:
   type: "bool"
   default: true
  hide_version:
   type: "bool"
   default: false
  empty_fields:
   type: "string"
   default: "omit"
   choices:
    omit: "{field_omit}"
    include: "{field_include}"
  log_sanitisation:
   type: "bool"
   default: false
  disabled_channels:
   type: "checkbox"
   default: ""
   choices:
    GitHub: "GitHub"
    macmathan.info: "macmathan.info"
    BitBucket: "BitBucket"
    NotABug: "NotABug"
    GoogleDNS: "GoogleDNS"
   value_preg_filter:
    "~\s~": ""
 signatures:
  ipv4:
   type: "string"
   default: "ipv4.dat,ipv4_bogons.dat,ipv4_custom.dat,ipv4_isps.dat,ipv4_other.dat"
   value_preg_filter:
    "~\s~": ""
  ipv6:
   type: "string"
   default: "ipv6.dat,ipv6_bogons.dat,ipv6_custom.dat,ipv6_isps.dat,ipv6_other.dat"
   value_preg_filter:
    "~\s~": ""
  block_cloud:
   type: "bool"
   default: true
  block_bogons:
   type: "bool"
   default: false
  block_generic:
   type: "bool"
   default: true
  block_legal:
   type: "bool"
   default: true
  block_malware:
   type: "bool"
   default: true
  block_proxies:
   type: "bool"
   default: false
  block_spam:
   type: "bool"
   default: true
  modules:
   type: "string"
   default: ""
  default_tracktime:
   type: "int"
   default: 604800
   preview: "seconds"
  infraction_limit:
   type: "int"
   default: 10
  track_mode:
   type: "bool"
   default: false
 recaptcha:
  usemode:
   type: "int"
   default: 0
  lockip:
   type: "bool"
   default: false
  lockuser:
   type: "bool"
   default: true
  sitekey:
   type: "string"
   default: ""
  secret:
   type: "string"
   default: ""
  expiry:
   type: "float"
   step: "any"
   default: 720
   preview: "hours"
  logfile:
   type: "string"
   default: ""
  signature_limit:
   type: "int"
   default: 1
  api:
   type: "string"
   default: "V2"
   choices:
    V2: "V2"
    Invisible: "Invisible"
  show_cookie_warning:
   type: "bool"
   default: true
 legal:
  pseudonymise_ip_addresses:
   type: "bool"
   default: true
  omit_ip:
   type: "bool"
   default: false
  omit_hostname:
   type: "bool"
   default: false
  omit_ua:
   type: "bool"
   default: false
  privacy_policy:
   type: "url"
   default: ""
   autocomplete: "url"
 template_data:
  theme:
   type: "string"
   default: "default"
   preview: "allow_other"
   allow_other: true
   choices:
    default: "Default"
    bluemetal: "Blue Metal"
    fullmoon: "Full Moon"
    moss: "Moss"
    obscured: "Obscured"
    primer: "Primer"
    primerdark: "Primer Dark"
    rbi: "Red-Blue Inverted"
    slate: "Slate"
   choice_filter: "FilterTheme"
  magnification:
   type: "float"
   step: "any"
   default: 1
  css_url:
   type: "url"
   default: ""
   autocomplete: "url"
 PHPMailer:
  event_log:
   type: "string"
   default: ""
  skip_auth_process:
   type: "bool"
   default: false
  enable_two_factor:
   type: "bool"
   default: false
  host:
   type: "string"
   default: ""
  port:
   type: "int"
   default: 587
  smtp_secure:
   type: "string"
   default: "default"
   choices:
    default: "-"
    tls: "TLS"
    ssl: "SSL"
  smtp_auth:
   type: "bool"
   default: true
  username:
   type: "string"
   default: ""
   autocomplete: "username"
  password:
   type: "string"
   default: ""
   autocomplete: "current-password"
  set_from_address:
   type: "email"
   default: ""
   autocomplete: "email"
  set_from_name:
   type: "string"
   default: ""
   autocomplete: "name"
  add_reply_to_address:
   type: "email"
   default: ""
   autocomplete: "email"
  add_reply_to_name:
   type: "string"
   default: ""
   autocomplete: "name"
 rate_limiting:
  max_bandwidth:
   type: "kb"
   default: "0KB"
   preview: "kb"
  max_requests:
   type: "int"
   default: 0
  precision_ipv4:
   type: "int"
   default: 32
  precision_ipv6:
   type: "int"
   default: 128
  allowance_period:
   type: "float"
   step: "any"
   default: 0
   preview: "hours"
  exceptions:
   type: "checkbox"
   default: ""
   choices:
    Whitelisted: "{field_whitelisted_requests}"
    Verified: "{field_verified_requests}"
 supplementary_cache_options:
  enable_apcu:
   type: "bool"
   default: false
  enable_memcached:
   type: "bool"
   default: false
  enable_redis:
   type: "bool"
   default: false
  enable_pdo:
   type: "bool"
   default: false
  memcached_host:
   type: "string"
   default: "localhost"
  memcached_port:
   type: "int"
   default: 11211
  redis_host:
   type: "string"
   default: "localhost"
  redis_port:
   type: "int"
   default: 6379
  redis_timeout:
   type: "float"
   step: "any"
   default: 2.5
  pdo_dsn:
   type: "string"
   default: "mysql:dbname=cidram;host=localhost;port=3306"
  pdo_username:
   type: "string"
   default: ""
   autocomplete: "username"
  pdo_password:
   type: "string"
   default: ""
   autocomplete: "current-password"
